<?php
function pixatres_sidebar_customize_register($wp_customize) {


	$wp_customize->add_section('pixatres-primary-width-section', array(
		'title' => __('Sidebar Layout', 'pixatres'),
		'priority' => 45
	));
	
	$wp_customize->add_setting(
		'pixatres-primary-width', array(
			'default'	=>	'right-sidebar',
			'sanitize_callback'	=>	'pixatres_sanitize_sidebar_layout'
		)
	);
	
	$wp_customize->add_control(
		new pixatres_Image_Radio_Control($wp_customize, 
			'pixatres-primary-width', array(
				'type' => 'radio',
				'label' => esc_html__('Sidebar Layout', 'pixatres'),
				'section' => 'pixatres-primary-width-section',
				'settings' => 'pixatres-primary-width',
				'choices' => array(
					'no-sidebar' => get_template_directory_uri() . '/inc/customizer/images/sidebar-no.jpg',
					'right-sidebar' => get_template_directory_uri() . '/inc/customizer/images/sidebar-right.jpg',
					'right-sidebar-narrow' => get_template_directory_uri() . '/inc/customizer/images/sidebar-right-narrow.jpg',
				)
			)
		)
	);
}
add_action('customize_register','pixatres_sidebar_customize_register');